<?php
/******************************************************************************/
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

    if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }
    $inUser = cmsUser::getInstance();
    $inCore = cmsCore::getInstance();
	$inPage = cmsPage::getInstance();

    $mod_count['left']   = cmsCountModules('left');
    $mod_count['sidebar']  = cmsCountModules('sidebar');
	$mod_count['user1']  = cmsCountModules('user1');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <!-- HEAD !-->
    <?php cmsPrintHead(); ?>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
    <?php if($inUser->is_admin){ ?>
        <script src="/admin/js/modconfig.js" type="text/javascript"></script>
        <script src="/templates/chutveselej/js/nyromodal.js" type="text/javascript"></script>
        <link href="/templates/chutveselej/css/modconfig.css" rel="stylesheet" type="text/css" />
        <link href="/templates/chutveselej/css/nyromodal.css" rel="stylesheet" type="text/css" />

    <?php } ?>
    <link href="/templates/chutveselej/css/reset.css" rel="stylesheet" type="text/css" />
    <link href="/templates/chutveselej/css/text.css" rel="stylesheet" type="text/css" />
    <link href="/templates/chutveselej/css/styles.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="/templates/chutveselej/js/jquery.treeview.js"></script>
	<script type="text/javascript" src="/templates/chutveselej/js/jquery.cookie.js"></script>
	<script language="javascript">
    $(document).ready(function(){      
    $("#navigation").treeview({
        animated: "slow",
        collapsed: true,
        unique: true,
        persist: "location"
    });    
    });
</script>
</head>

<body>
<div id="container">
    <div id="header">
        <div style="float:left; width:370px; height:68px">
            &nbsp;
        </div>
		<div id="head">
            <?php $inPage->printModules('head');?>
        </div>
        <div style=" float:right; width:360px; height:68px">
		    <div>
                <form name="searchform" action="/index.php" method="get">
                	<input type="hidden" name="view" value="search"/>
                	<input id="search_text" name="query" type="text" tabindex="1" onfocus="if(this.value=='...') this.value='';" onblur="if(this.value=='') this.value='...';" value="..." maxlength="200"/>
                	<input id="search_button" name="gosearch" type="submit" alt=""  value=" " onclick="document.searchform.submit()"/>
                </form>
            </div>
        </div>
		<div id="sitename" style="float:left; width:370px; height:60px padding:0px;">
             <a href="/"></a>
        </div>
        <div style=" float:right; width:630px; height:60px">
		    <?php if (!$inUser->id){ ?>
                <div class="mod_user_menu">
                    <span class="register"><a href="/registration"></a></span>
                    <span class="login"><a href="/login"></a></span>
                </div>
            <?php } else { ?>
                <?php $inPage->printModules('header'); ?>
            <?php } ?>
        </div>
    </div>
	    <div id="topmenu">
            <?php $inPage->printModules('topmenu');?>
        </div>
    <div id="center">

        
        <div id="topwide" class="container_12">
                <div class="grid_12" id="topmod"><?php $inPage->printModules('top'); ?></div>
            </div>
        
<?php if ($mod_count['left']) { ?>
<?php if ($mod_count['sidebar']){ ?>
    <!-- ***************** all ******************* -->    
        <div id="lmainr">
		    <div id="pathway">
                <?php cmsPathway('&rarr;'); ?>
            </div>
            <div id="left" style="width: 240px; float: left;">
                <?php $inPage->printModules('left'); ?>
            </div>
            <div id="main" style="width: 497px; float: left;">

                    <?php $inPage->printModules('maintop'); ?>

                    <?php $messages = cmsCore::getSessionMessages(); ?>
                    <?php if ($messages) { ?>
                    <div class="sess_messages">
                        <?php foreach($messages as $message){ ?>
                            <?php echo $message; ?>
                        <?php } ?>
                    </div>
                    <?php } ?>

                    <?php cmsBody(); ?>
                    <?php $inPage->printModules('mainbottom'); ?>
            </div>
            <div id="sidebar"  style="width: 240px; float: right;">
                <?php $inPage->printModules('sidebar'); ?>
            </div>
            <div style="clear: both;"></div>
        </div>
    <!-- ************************************ -->
<?php } else { ?>
    <!-- ****************** left center ****************** -->    
         <div id="lmain">
		    <div id="pathway">
                <?php cmsPathway('&rarr;'); ?>
            </div>
            <div id="left" style="width: 240px; float: left;">
                <?php $inPage->printModules('left'); ?>
            </div>
            <div id="main" style="width: 730px; float: right;">
                    <?php $inPage->printModules('maintop'); ?>

                    <?php $messages = cmsCore::getSessionMessages(); ?>
                    <?php if ($messages) { ?>
                    <div class="sess_messages">
                        <?php foreach($messages as $message){ ?>
                            <?php echo $message; ?>
                        <?php } ?>
                    </div>
                    <?php } ?>

                    <?php cmsBody(); ?>
                    <?php $inPage->printModules('mainbottom'); ?>
            </div>
            <div style="clear: both;"></div>
        </div>
    <!-- ************************************ -->
<?php } ?>
<?php } else { ?>
<?php if ($mod_count['sidebar']){ ?>
<!-- ****************** center right****************** -->
        <div id="mainr">
		    <div id="pathway">
                    <?php cmsPathway('&rarr;'); ?>
            </div>
            <div id="main" style="width: 730px; float: left;">
                    <?php $inPage->printModules('maintop'); ?>

                    <?php $messages = cmsCore::getSessionMessages(); ?>
                    <?php if ($messages) { ?>
                    <div class="sess_messages">
                        <?php foreach($messages as $message){ ?>
                            <?php echo $message; ?>
                        <?php } ?>
                    </div>
                    <?php } ?>

                    <?php cmsBody(); ?>
                    <?php $inPage->printModules('mainbottom'); ?>
            </div>
            <div id="sidebar"  style="width: 240px; float: right;">
                <?php $inPage->printModules('sidebar'); ?>
            </div>
            <div style="clear: both;"></div>
        </div>
<!-- ************************************ -->
<?php } else { ?>
<!-- ****************** center ****************** -->
        <div>
            <div id="main">
                <div id="pathway">
                    <?php cmsPathway('&rarr;'); ?>
                </div>
                    <?php $inPage->printModules('maintop'); ?>

                    <?php $messages = cmsCore::getSessionMessages(); ?>
                    <?php if ($messages) { ?>
                    <div class="sess_messages">
                        <?php foreach($messages as $message){ ?>
                            <?php echo $message; ?>
                        <?php } ?>
                    </div>
                    <?php } ?>

                    <?php cmsBody(); ?>
                    <?php $inPage->printModules('mainbottom'); ?>
            </div>
            <div style="clear: both;"></div>
        </div>
<!-- ************************************ -->
<?php } ?>
<?php } ?>

<!-- **************footer-top************** -->
<?php if ($mod_count['user1']) { ?>    
    <div id="footer-top">    
        <div id="footer-topm1">
            <?php $inPage->printModules('user1'); ?>
        </div>
       <div id="footer-topm">
            <?php $inPage->printModules('user2'); ?>
        </div>
        <div id="footer-topm">
            <?php $inPage->printModules('user3'); ?>
        </div>
       <div id="footer-topm">
            <?php $inPage->printModules('user4'); ?>
        </div>
        <div style="clear: both;"></div>
    </div>
<?php } else { ?>
    <div style="clear: both;"></div>      
<?php } ?>

<div id="footer-menu">
    <?php $inPage->printModules('footer-menu'); ?>
    <div style="clear: both;"></div>        
</div> 	
</div>

<div id="footer">
        <div  id="footer-m1">
            <?php $inPage->printModules('footer1'); ?>
        </div>
         <div  id="footer-m">
            <?php $inPage->printModules('footer2'); ?>
        </div>
		<div  id="footer-m">
            <div id="sitenamefut" style="width: 300px; float: left;"><a alt="  InstantCMS" title="  InstantCMS" href="http://www.instantcms.ru"></a></div>
        </div>
        <div style="clear: both;"></div>        
</div>
    <script type="text/javascript">
        $(document).ready(function(){
            $('#topmenu .menu li').hover(
                function() {
                    $(this).find('ul:first').show();
                    $(this).find('a:first').addClass("hover");
                },
                function() {
                    $(this).find('ul:first').hide();
                    $(this).find('a:first').removeClass("hover");
                }
            );
        });
    </script>

</body>

</html>